org.apache.cassandra.db.columniterator

## Class AbstractSSTableIterator.Reader

- java.lang.Object
- - org.apache.cassandra.db.columniterator.AbstractSSTableIterator.Reader

All Implemented Interfaces:
  java.util.Iterator<Unfiltered>

Enclosing class:
  AbstractSSTableIterator

    protected abstract class AbstractSSTableIterator.Reader
    extends java.lang.Object
    implements java.util.Iterator<Unfiltered>

### Field Summary

Fields
`protected UnfilteredDeserializer` `deserializer`
`FileDataInput` `file`
`protected DeletionTime` `openMarker`
`Version` `version`

### Constructor Summary

Constructors
`protected` `Reader(FileDataInput file, boolean shouldCloseFile)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `close()`
`boolean` `hasNext()`
`protected abstract boolean` `hasNextInternal()`
`Unfiltered` `next()`
`protected abstract Unfiltered` `nextInternal()`
`protected void` `seekToPosition(long position)`
`abstract void` `setForSlice(Slice slice)`
`protected void` `updateOpenMarker(RangeTombstoneMarker marker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

### Field Detail

#### file

    public FileDataInput file

#### version

    public final Version version

#### deserializer

    protected UnfilteredDeserializer deserializer

#### openMarker

    protected DeletionTime openMarker

### Constructor Detail

#### Reader

    protected Reader(FileDataInput file,
                     boolean shouldCloseFile)

### Method Detail

#### seekToPosition

    protected void seekToPosition(long position)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### updateOpenMarker

    protected void updateOpenMarker(RangeTombstoneMarker marker)

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<Unfiltered>`

#### next

    public Unfiltered next()

Specified by:
  `next` in interface `java.util.Iterator<Unfiltered>`

#### setForSlice

    public abstract void setForSlice(Slice slice)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### hasNextInternal

    protected abstract boolean hasNextInternal()
                                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### nextInternal

    protected abstract Unfiltered nextInternal()
                                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`